View Issue Details

IDProjectCategoryView StatusLast Update
13935Bug reports[All Projects] Survey participants (Tokens)public2018-08-07 17:01
Reporterredbeard Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.13.x 
Summary13935: 'Double click' to Register
Description

Hi,

I have just upgraded my LimeSurvey installation from 3.13.x -> 3.14.1.

My survey has the setting: Participant settings >> Allow public registration = ON.

When users visit the Survey, they are shown the registration screen >> type email address and click 'Continue', the page

The URL changes from:

www.example.com/ls/index.php/692579?newtest=Y&lang=en
www.example.com/ls/index.php/register/index?sid=692579

But the user remains on the same page.

For the user to move to the 'regstration confirmation page', rather than clicking 'Continue' once, they are having to double-click 'Continue'

Turning off Ajax in the 'themes' seems to resolve the problem for me.

Additional Information

(notes on installation: I deleted all files except for application/config/config.php and the uploads folder >> then downloaded LS >> extracted the files from the zip (Windows) >> uploaded files)

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.1+180731
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5.5.32
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version 7.0.31

Activities

markusfluer

markusfluer

2018-08-06 16:42

administrator   ~48659

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27746

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48691

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 78cb5f40

2018-08-06 16:42:24

markusfluer

Details Diff
Fixed issue 13935: 'Double click' to Register Affected Issues
13935
mod - application/models/TemplateConfig.php Diff File

Issue History

Date Modified Username Field Change
2018-08-02 15:20 redbeard New Issue
2018-08-02 18:07 DenisChenu Assigned To => markusfluer
2018-08-02 18:07 DenisChenu Status new => assigned
2018-08-06 16:42 markusfluer Status assigned => resolved
2018-08-06 16:42 markusfluer Resolution open => fixed
2018-08-06 16:42 markusfluer Fixed in Version => 3.13.x
2018-08-06 16:42 markusfluer Changeset attached => LimeSurvey master 78cb5f40
2018-08-06 16:42 markusfluer Note Added: 48659
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48691